package com.bonus.canteen.core.common.export.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import com.bonus.common.houqin.utils.LeBeanUtil;
import io.swagger.annotations.ApiModelProperty;

public class ExportRecordQueryDTO extends PageDTO {
   @ApiModelProperty("文件名（模糊查询）")
   private String fileName;
   @ApiModelProperty("导出文件状态")
   private Integer exportFileState;
   @ApiModelProperty("导出文件类型")
   private Integer exportFileType;
   @ApiModelProperty(
      value = "当前用户",
      hidden = true
   )
   private String userId;

   public String getFileName() {
      return LeBeanUtil.fieldLikeHandle(this.fileName);
   }

   public Integer getExportFileState() {
      return this.exportFileState;
   }

   public Integer getExportFileType() {
      return this.exportFileType;
   }

   public String getUserId() {
      return this.userId;
   }

   public void setFileName(final String fileName) {
      this.fileName = fileName;
   }

   public void setExportFileState(final Integer exportFileState) {
      this.exportFileState = exportFileState;
   }

   public void setExportFileType(final Integer exportFileType) {
      this.exportFileType = exportFileType;
   }

   public void setUserId(final String userId) {
      this.userId = userId;
   }

}
